Bug 1785310 - Helm CLI download link is missing from Console [openshift-4.3]
Summary: Helm CLI download link is missing from Console [openshift-4.3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Predrag Knezevic
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1784582
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-19 16:29 UTC by Predrag Knezevic
Modified: 2020-01-23 12:59 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1784582
Environment:
Last Closed: 2020-01-23 11:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 363 None None None 2020-01-03 11:21:22 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:20:00 UTC

Description Predrag Knezevic 2019-12-19 16:29:05 UTC
+++ This bug was initially created as a clone of Bug #1784582 +++

Helm is released as TP on OpenShift 4.3. The Helm CLI binary link is missing from the "? > Command Line Tools" page to inform users where they can download Red Hat builds of the binary.

Adding the link is addressed in this PR:
https://github.com/openshift/console-operator/pull/362

Comment 2 shahan 2020-01-07 06:18:47 UTC
4.3.0-0.nightly-2020-01-06-185654
Now command-line-tools has "helm - Helm 3 CLI" the reference is https://mirror.openshift.com/pub/openshift-v4/clients/helm/latest
But the content is null:
The requested URL /pub/openshift-v4/clients/helm/latest was not found on this server.

Comment 3 Ben Parees 2020-01-07 15:33:51 UTC
PR has merged

Comment 4 Ben Parees 2020-01-07 15:35:24 UTC
My understanding is that the binary will be there before 4.3GAs.

Steve can you confirm?

Comment 5 shahan 2020-01-08 02:39:52 UTC
@sspeiche could you help to confirm this?

Comment 6 Steve Speicher 2020-01-08 13:42:36 UTC
I'm checking on this at the moment, haven't gotten an immediate response. Though this plan is correct with my understanding, helm cli will only be released on mirror.openshift.com for 4.3 as it is tech preview and it should show up before 4.3 GA. I'll update when I confirm/deny this.

Comment 7 Steve Speicher 2020-01-08 14:21:11 UTC
It appears the cut to get the binary published missed the code freeze cutoff so the CLI will be pushed and targeted for first z-stream.

I'd suggest a couple possible ways of fixing this since it seems just pushing a binary to mirror.openshift.com is not possible by Jan 15th:
1. Don't change anything, rush to get binary out with z-stream.
2. Rush to get binary out with z-stream, add release note.

I don't think release note is warranted as likelihood of hitting it before z-stream lands is small and impact to enduser is minimal.

Comment 8 shahan 2020-01-09 02:57:13 UTC
According to comment 7, we could get the CLI(only Helm) binary until the 4.3.x z-stream. So I'd like move this to verify status since the original issue as said in description has been fixed and the left thing is waiting for the binary pushed to mirror registry.

Comment 11 errata-xmlrpc 2020-01-23 11:19:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062

Comment 12 Bama Charan Kundu 2020-01-23 12:59:34 UTC
binaries are now available in 
https://mirror.openshift.com/pub/openshift-v4/clients/helm/latest

I believe we are good now.


Note You need to log in before you can comment on or make changes to this bug.